Subject: [AVTCORE] Summary of AVTCORE WG's Errata decisions

From: Magnus Westerlund <[email-masked]>
Date: Mon, 16 Feb 2015 09:42:44 +0100

ADs,

Here is a current summary of the Erratas that are in reported state for
the AVT WG (AVTCORE has no reported Errata), including the WG's
decisions on how handle them.

RFC2435 (4094) 	Appendix A 	Technical 	avt (rai) 	Julius Richard
Friedman 	2014-09-04

WG decided that Errata 4094 is REJECTED.

RFC2435 (4095) 	Appendix B 	Technical 	avt (rai) 	Julius Richard
Friedman 	2014-09-04

WG decided that Errata 4095 is REJECTED.

RFC2435 (4096) 	Discussion 	Technical 	avt (rai) 	Julius Richard
Friedman 	2014-09-04

WG decided that Errata 4096 is REJECTED.

RFC2435 (4097) 	3.1.5 	Technical 	avt (rai) 	Julius Richard Friedman
2014-09-04

WG decided that Errata 4097 is REJECTED.

RFC3550 (4192) 	6.4.1 	Technical 	avt (rai) 	Julius Friedman 	2014-12-03

WG decided that Errata 4192 is REJECTED.

RFC3611 (3795) 	5.1 	Technical 	avt (rai) 	Stephen James 	2013-11-11

WG decided that Errata 3795 is VERIFIED.

RFC5764 (3913) 	5.1.2 	Technical 	avt (rai) 	Martin Thomson 	2014-03-06

WG decided that Errata 3913 is Held for Document Update.

RFC5764 (3971) 	4.1.3 	Technical 	avt (rai) 	Martin Thomson 	2014-04-22

WG decided that Errata 3971 is VERIFIED.

I hope the ADs concur with the WG assessment and can enter the Erratas
into the appropriate state.

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: Ross Finlayson <[email-masked]>
Date: Thu, 19 Feb 2015 23:16:05 +1300

> On Feb 16, 2015, at 9:42 PM, Magnus Westerlund <[email-masked] <mailto:[email-masked]>> wrote:
> 
> ADs,
> 
> the AVT WG (AVTCORE has no reported Errata)

FYI, last August I reported a minor bug (email copied below) in RFC 3711 (SRTP).  IMHO, this should be added to the RFC 3711 errata at some point...

> Begin forwarded message:
> 
> From: Ross Finlayson <[email-masked] <mailto:[email-masked]>>
> Subject: Minor bug in RFC 3711 (SRTP), FYI
> Date: August 10, 2014 at 5:57:22 PM GMT+12
> Cc: [email-masked] <mailto:[email-masked]>
> To: [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>
> 
> In section 3.4 ("Secure RTCP"), there is a bug in "Figure 2. An example of the format of a Secure RTCP packet..."
> 
>       0                   1                   2                   3
>       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+<+
>      |V=2|P|    RC   |   PT=SR or RR   |             length          | |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ |
> 
> The boundary between the "PT=SR or RR" and the "length" fields is wrong: The boundary is shown as being between bits 16 and 17; it should be between bits 15 and 16.  I.e., the "PT=SR or RR" field should be 8 bits long, not 9.
> 
> This is just a minor bug, because the equivalent diagram in RFC 3550 (the normative reference for RTCP) is correct.  Nonetheless, this bug should probably be added to the errata for RFC 3711
> 
> Ross Finlayson
> Live Networks, Inc.
> http://www.live555.com/ <http://www.live555.com/>

---

From: Magnus Westerlund <[email-masked]>
Date: Fri, 20 Feb 2015 09:42:40 +0100

Ross,

Yes, I think this is appropriate for an editorial errata. Can you please
write this up in an email form based on the Errata template:

The old text:

New text:

Notes:

Cheers

Magnus

On 2015-02-19 11:16, Ross Finlayson wrote:
> 
>> On Feb 16, 2015, at 9:42 PM, Magnus Westerlund
>> <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>> ADs,
>>
> FYI, last August I reported a minor bug (email copied below) in RFC 3711
> (SRTP).  IMHO, this should be added to the RFC 3711 errata at some point...
> 
> 
> 
>> Begin forwarded message:
>>
>> *From: *Ross Finlayson <[email-masked]
>> <mailto:[email-masked]>>
>> *Subject: **Minor bug in RFC 3711 (SRTP), FYI*
>> *Date: *August 10, 2014 at 5:57:22 PM GMT+12
>> *Cc: [email-masked] <mailto:[email-masked]>
>> *To: [email-masked] <mailto:[email-masked]>,
>> [email-masked]
>> <mailto:[email-masked]>, [email-masked]
>> <mailto:[email-masked]>, [email-masked]
>> <mailto:[email-masked]>, [email-masked]
>> <mailto:[email-masked]>
>>
>> In section 3.4 ("Secure RTCP"), there is a bug in "Figure 2. An
>> example of the format of a Secure RTCP packet..."
>>
>>       0                   1                   2                   3
>> The boundary between the "PT=SR or RR" and the "length" fields is
>> wrong: The boundary is shown as being between bits 16 and 17; it
>> should be between bits 15 and 16.  I.e., the "PT=SR or RR" field
>> should be 8 bits long, not 9.
>>
>> This is just a minor bug, because the equivalent diagram in RFC 3550
>> (the normative reference for RTCP) is correct.  Nonetheless, this bug
>> should probably be added to the errata for RFC 3711
>>
>> Ross Finlayson
>> Live Networks, Inc.
>> http://www.live555.com/
>>
> 

-- 

Magnus Westerlund